Subject: Re: draft-raggarwa-sajassi-l2vpn-evpn-04, Designated forwarder vs Split Horizon

From: Jasmeet Bagga <[email-masked]>
Date: Mon, 5 Dec 2011 11:57:13 -0800

Hi Aldrin,

Sorry for the late reply, please see my comments inline

On Wed, Nov 23, 2011 at 8:09 PM, Aldrin Isaac <[email-masked]> wrote:
> Hi Jasmeet, see my comments inline.
>
> On Nov 23, 2011, at 3:16 PM, Jasmeet Bagga wrote:
>
> Florin,
> Got it, thanks.
> Its probably a good idea to mention this case explicitly under the
> Split Horizon section. in the draft.
> For the other cases
>
> - BUM packets arriving at a multihomed MES from another MES not
> multihomed to the same CE
>
>
> Currently some form of MLAG would be required for active-active multihoming
> with a customer network across multiple CE.  Other possibilities are/need to
> be explored.
>
>
> - BUM packets arriving at a non-DF MES sent from the DF MES
> just dropping the packets at the non-DF seems enough.
>
>
> Yes -- see the following procedure for P2MP.
>
> 17.2. ESI MPLS Label: P2MP MPLS LSPs
>
>    An MES that is using P2MP LSPs for sending broadcast, multicast or
>    unknown unicast traffic, distributes to other MESes, that belong to
>    the Ethernet segment or have an E-VPN in common with the Ethernet
>    Segment, an upstream assigned "ESI MPLS label" in the Ethernet A-D
>    route. This label is upstream assigned by the MES that advertises the
>    route. This label MUST be programmed by the other MESes, that are
>    connected to the ESI advertised in the route, in the context label
>    space for the advertising MES. Further the forwarding entry for this
>    label must result in NOT forwarding packets received with this label
>    onto the Ethernet segment that the label was distributed for. This
>    label MUST also be programmed by the other MESes, that import the
>    route but are not connected to the ESI advertised in the route, in
>    the context label space for the advertising MES. Further the
>    forwarding entry for this label must be a POP with no other
>    associated action.
>
>
> Another procedure exists for handling this for ingress replication.
>

hmm, I thought the ESI MPLS label is only required for the case when
CE sends BUM traffic to the non-DF which then sends it to other MESs
in the eVPN (via P2MP LSP, ingress replication or MP2MP LSP). In this
case the ESI MPLS label enables  DF to not send this traffic back to
the CE.
AFAIK this is the only use of ESI MPLS label for all other handling of
BUM traffic in the presence of multihoming - just not forwarding BUM
traffic to the multihomed CE via non-DF MES seems enough.

What I was suggesting was that it would be helpful to mention the case
explicitly under the split horizon section of the draft. It would make
the use of ESI MPLS label much clearer.

Thanks,
Jasmeet
> The draft sort of alludes to the case you mention but does not
> explicitly mention it.
>
> Thanks,
> Jasmeet
>
> On Wed, Nov 23, 2011 at 9:27 AM, Balus, Florin Stelian (Florin)
> <[email-masked]> wrote:
>
> Split horizon label ensures that a BUM packet received from the non-DF is
> not flooded back via the DF to the originator CE.
>
>
> On Nov 23, 2011, at 8:56 AM, "Jasmeet Bagga" <[email-masked]> wrote:
>
>
> Hi,
>
>
> The draft mentioned in ${SUBJECT} enlists 2 mechanisms (designated forwarder
>
> and  split horizon) for preventing multicast, broadcast and unknown
>
> unicast traffic
>
> originated by multihomed CE from being forwarded  back to the CE. Both these
>
> mechanism cause the MES to not forward the traffic onto the ethernet segment
>
> that the data originated from. My question is why do we need two mechanisms
> ?
>
> Both split horizon and designated forwarder seem to be individually capable
> of
>
> handling the above requirement ?
>
>
> I am sure I am missing something here. If so please advise.
>
>
> Thanks,
>
> Jasmeet
>
>
>